<launch>
    <param name="/use_sim_time" value="true" />

    <!-- STATIC TF -->
    <include file="$(find searchwing_common_py)/launch/staticTf.launch" />
    <include file="$(find searchwing_thermal)/launch/staticThermalTf_franki.launch" />

    <!-- PROCESSING -->
    <node name="normalizer" pkg="searchwing_thermal" type="normalizer_node.py" output="screen" />
    <node name="blob_detector" pkg="searchwing_thermal" type="blob_detector_node.py" output="screen" />
    <node name="BBoxToGroundProjectionNode" pkg="searchwing_common_py" type="BBoxToGroundProjectionNode.py" output="screen" >
        <param name="~i_cameraCalibFilePath" value="$(find searchwing_thermal)/config/flirLepton3_0_franki.yaml" />
        <param name="~i_detections2DTopicName" value="/detections/Thermal" />
        <param name="~i_cameraTfName" value="thermal" />
        <param name="~o_detections3DTopicName" value="/detections/Detections3D" />
    </node>

    <!-- DEBUG VIS-->
    <node name="RvizDebugVisNode" pkg="searchwing_common_py" type="RvizDebugVisNode.py" output="screen" >
        <param name="~i_cameraCalibFilePath" value="$(find searchwing_thermal)/config/flirLepton3_0_franki.yaml" />
        <param name="~i_cameraTfName" value="thermal" />
        <param name="~i_trackValidCount" value="3" />
        <param name="~i_detections3DTopicName" value="/detections/Detections3D" />
        <param name="~i_tracksTopicName" value="/tracks" />
    </node>

    <node name="visualization" pkg="rviz" type="rviz" output="screen" args="-d $(find searchwing_thermal)/config/thermal_tracking.rviz" />
</launch>
